Subject: Re: DirectX (was Re: server X)
From: [email-masked] (GoatCheez)

26 Sep 1998 07:57:25 -0700
Message-ID: <030901bde8e6$e99db1b0$1f105c18.cygnus.gnu-win32@B0B>
Mime-Version: 1.0
Content-Type: text/plain;
	charset="iso-8859-1"
Content-Transfer-Encoding: 7bit
To: <[email-masked]>, <[email-masked]>

    DirectX is already in NT, but not the most current version. DirectX 3 is
supported in NT4, and the current beta of NT5 supports DX6. DirectX doesn't
allow DIRECT access to all of the video hardware, but it is possible to get
direct access to video memory. The portion of DirectX that a X Server would
use would be DirectDraw. NT4 had DirectDraw 3 support. The latest version of
Direct Draw is 4. the only MAIN difference with version 4 of DirectDraw is
that when accessing video memory directly, it doesn't suspend all other
processes. It is VERY possible to make an X Server that uses DirectX and
works on 9x,and NT4 and NT5.

GoatCheez
[email-masked]
-----Original Message-----
From: <[email-masked]>
To: <[email-masked]>
Date: Friday, September 25, 1998 12:19 PM
Subject: DirectX (was Re: server X)

>Alexander Kriegisch wrote:
>
>#I do not know enough about it, so this is more a question than a hint:
>#How about DirectX and the like? Is it not designed for granting the
>#developer direct hardware access?
>
>As far as I can tell from M'softs' literature, DirectX is *not* designed to
>give direct
>hardware access. It appears to be graphics middleware, that is an
application
>can
>rely on a certain set of services and capabilities, and a hardware vendor
can
>ensure
>that their driver performs these services in the most optimal way possible,
(or
>not - there's
>some really lousy driver code out there!).
>
>We keep being told that DirectX will make an appearance in NT, (5.0
perhaps?).
>This being
>the case if it provided direct hardware access, wouldn't that break NT's
>security model?
>
>Any other opinions anyone?
>
>Bob Cross.
>
>Disclaimer: My opinions, like my fingerprints, are unique to me.
>

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".